# Draw
TKDraw
DBRep

# DBRep_ListOfHideData Class Reference

`#include <DBRep_ListOfHideData.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | DBRep_ListOfHideData ()
Standard_EXPORT void | Assign (const DBRep_ListOfHideData &Other)
void | operator= (const DBRep_ListOfHideData &Other)
Standard_EXPORT Standard_Integer | Extent () const
Standard_EXPORT void | Clear ()
| ~DBRep_ListOfHideData ()
Standard_Boolean | IsEmpty () const
Standard_EXPORT void | Prepend (const DBRep_HideData &I)
Standard_EXPORT void | Prepend (const DBRep_HideData &I, DBRep_ListIteratorOfListOfHideData &theIt)
Standard_EXPORT void | Prepend (DBRep_ListOfHideData &Other)
Standard_EXPORT void | Append (const DBRep_HideData &I)
Standard_EXPORT void | Append (const DBRep_HideData &I, DBRep_ListIteratorOfListOfHideData &theIt)
Standard_EXPORT void | Append (DBRep_ListOfHideData &Other)
Standard_EXPORT DBRep_HideData & | First () const
Standard_EXPORT DBRep_HideData & | Last () const
Standard_EXPORT void | RemoveFirst ()
Standard_EXPORT void | Remove (DBRep_ListIteratorOfListOfHideData &It)
Standard_EXPORT void | InsertBefore (const DBRep_HideData &I, DBRep_ListIteratorOfListOfHideData &It)
Standard_EXPORT void | InsertBefore (DBRep_ListOfHideData &Other, DBRep_ListIteratorOfListOfHideData &It)
Standard_EXPORT void | InsertAfter (const DBRep_HideData &I, DBRep_ListIteratorOfListOfHideData &It)
Standard_EXPORT void | InsertAfter (DBRep_ListOfHideData &Other, DBRep_ListIteratorOfListOfHideData &It)

## Private Member Functions

Standard_EXPORT | DBRep_ListOfHideData (const DBRep_ListOfHideData &Other)

## Private Attributes

Standard_Address | myFirst
Standard_Address | myLast

## Constructor & Destructor Documentation

Standard_EXPORT DBRep_ListOfHideData::DBRep_ListOfHideData | ( |  | ) |

DBRep_ListOfHideData::~DBRep_ListOfHideData | ( |  | ) | `[inline]`

Standard_EXPORT DBRep_ListOfHideData::DBRep_ListOfHideData | ( | const DBRep_ListOfHideData & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void DBRep_ListOfHideData::Append | ( | DBRep_ListOfHideData & | Other | ) |

Standard_EXPORT void DBRep_ListOfHideData::Append | ( | const DBRep_HideData & | I,
|  | DBRep_ListIteratorOfListOfHideData & | theIt
| ) |

Standard_EXPORT void DBRep_ListOfHideData::Append | ( | const DBRep_HideData & | I | ) |

Standard_EXPORT void DBRep_ListOfHideData::Assign | ( | const DBRep_ListOfHideData & | Other | ) |

Standard_EXPORT void DBRep_ListOfHideData::Clear | ( |  | ) |

Standard_EXPORT Standard_Integer DBRep_ListOfHideData::Extent | ( |  | ) | const

Standard_EXPORT DBRep_HideData& DBRep_ListOfHideData::First | ( |  | ) | const

Standard_EXPORT void DBRep_ListOfHideData::InsertAfter | ( | DBRep_ListOfHideData & | Other,
|  | DBRep_ListIteratorOfListOfHideData & | It
| ) |

Standard_EXPORT void DBRep_ListOfHideData::InsertAfter | ( | const DBRep_HideData & | I,
|  | DBRep_ListIteratorOfListOfHideData & | It
| ) |

Standard_EXPORT void DBRep_ListOfHideData::InsertBefore | ( | DBRep_ListOfHideData & | Other,
|  | DBRep_ListIteratorOfListOfHideData & | It
| ) |

Standard_EXPORT void DBRep_ListOfHideData::InsertBefore | ( | const DBRep_HideData & | I,
|  | DBRep_ListIteratorOfListOfHideData & | It
| ) |

Standard_Boolean DBRep_ListOfHideData::IsEmpty | ( |  | ) | const

Standard_EXPORT DBRep_HideData& DBRep_ListOfHideData::Last | ( |  | ) | const

void DBRep_ListOfHideData::operator delete | ( | void * | anAddress | ) | `[inline]`

void* DBRep_ListOfHideData::operator new | ( | size_t | size | ) | `[inline]`

void* DBRep_ListOfHideData::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void DBRep_ListOfHideData::operator= | ( | const DBRep_ListOfHideData & | Other | ) | `[inline]`

Standard_EXPORT void DBRep_ListOfHideData::Prepend | ( | DBRep_ListOfHideData & | Other | ) |

Standard_EXPORT void DBRep_ListOfHideData::Prepend | ( | const DBRep_HideData & | I,
|  | DBRep_ListIteratorOfListOfHideData & | theIt
| ) |

Standard_EXPORT void DBRep_ListOfHideData::Prepend | ( | const DBRep_HideData & | I | ) |

Standard_EXPORT void DBRep_ListOfHideData::Remove | ( | DBRep_ListIteratorOfListOfHideData & | It | ) |

Standard_EXPORT void DBRep_ListOfHideData::RemoveFirst | ( |  | ) |

## Field Documentation

Standard_Address DBRep_ListOfHideData::myFirst `[private]`

Standard_Address DBRep_ListOfHideData::myLast `[private]`

The documentation for this class was generated from the following file:

- DBRep_ListOfHideData.hxx